A inbound STX transfer with a memo

export
interface

  InboundStxTransfer

### Hierarchy

- InboundStxTransfer

## Index

### Properties

- amount
- block_height
- memo
- sender
- transfer_type
- tx_id
- tx_index

## Properties

### amount

amount: string

- Defined in src/generated/models/InboundStxTransfer.ts:33

Transfer amount in micro-STX as integer string

memberof

  InboundStxTransfer

### block_height

block_height: number

- Defined in src/generated/models/InboundStxTransfer.ts:45

Block height at which this transfer occurred

memberof

  InboundStxTransfer

### memo

memo: string

- Defined in src/generated/models/InboundStxTransfer.ts:39

Hex encoded memo bytes associated with the transfer

memberof

  InboundStxTransfer

### sender

sender: string

- Defined in src/generated/models/InboundStxTransfer.ts:27

Principal that sent this transfer

memberof

  InboundStxTransfer

### transfer_type

transfer_type: InboundStxTransferTransferTypeEnum

- Defined in src/generated/models/InboundStxTransfer.ts:57

Indicates if the transfer is from a stx-transfer transaction or a contract-call transaction

memberof

  InboundStxTransfer

### tx_id

tx_id: string

- Defined in src/generated/models/InboundStxTransfer.ts:51

The transaction ID in which this transfer occurred

memberof

  InboundStxTransfer

### tx_index

tx_index: number

- Defined in src/generated/models/InboundStxTransfer.ts:63

Index of the transaction within a block

memberof

  InboundStxTransfer

Generated using TypeDoc